Subject: Re: [PATCH v17 0/6] support gce on mt8183 platform

From: Matthias Brugger <[email-masked]>
Date: Thu, 12 Dec 2019 08:49:00 +0100

On 11/12/2019 23:09, Nicolas Boichat wrote:
> Hi Matthias,
> 
> Quick question, any reason you picked only patches 2+3+6 from this
> series, and not the 3 others?
> 

The quick answer, time :)
The longer one:
1/6 went already in through fixes for v5.4
4/6 it touches mailbox code, so we will need a acked-by from Jassi
5/6 time, I want to have a better look onto this to see if that makes sense (I
slightly remember some old comment I had on this)

Regards,
Matthias

> Thanks.
> 
> On Wed, Nov 20, 2019 at 5:54 PM Bibby Hsieh <[email-masked]> wrote:
>>
>> Changes since v16:
>>  - naming the poll mask enable bit
>>  - add a patch to fiup the input order of write api
>>
>> Changes since v15:
>>  - rebase onto 5.4-rc1
>>  - rollback the v14 change
>>  - add a patch to fixup the combination of return value
>>
>> Changes since v14:
>>  - change input argument as pointer in append_commend()
>>
>> Changes since v13:
>>  - separate poll function as poll w/ & w/o mask function
>>  - directly pass inst into append_command function instead
>>    of returns a pointer
>>  - fixup coding style
>>  - rebase onto 5.3-rc1
>>
>> [... snip ...]
>>
>> Bibby Hsieh (6):
>>   soc: mediatek: cmdq: fixup wrong input order of write api
>>   soc: mediatek: cmdq: remove OR opertaion from err return
>>   soc: mediatek: cmdq: define the instruction struct
>>   soc: mediatek: cmdq: add polling function
>>   soc: mediatek: cmdq: add cmdq_dev_get_client_reg function
>>   arm64: dts: add gce node for mt8183
>>
>>  arch/arm64/boot/dts/mediatek/mt8183.dtsi |  10 ++
>>  drivers/soc/mediatek/mtk-cmdq-helper.c   | 147 +++++++++++++++++++----
>>  include/linux/mailbox/mtk-cmdq-mailbox.h |  11 ++
>>  include/linux/soc/mediatek/mtk-cmdq.h    |  53 ++++++++
>>  4 files changed, 195 insertions(+), 26 deletions(-)
>>
>> --
>> 2.18.0

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel